TagLib Namespace Reference

A namespace for all TagLib related classes and functions. More...

## Namespaces

namespace | ID3v1
| An ID3v1 implementation.
namespace | APE
| An implementation of APE metadata.
namespace | ASF
| An implementation of ASF (WMA) metadata.
namespace | DSDIFF
| An implementation of DSDIFF metadata.
namespace | DSF
| An implementation of DSF metadata.
namespace | ID3v2
| An ID3v2 implementation.
namespace | Ogg
| A namespace for the classes used by Ogg-based metadata files.
namespace | FLAC
| An implementation of FLAC metadata.
namespace | IT
| An implementation of Impulse Tracker metadata.
namespace | Matroska
| An implementation of Matroska metadata.
namespace | EBML
namespace | Mod
| An implementation of Protracker metadata.
namespace | MP4
| An implementation of MP4 (AAC, ALAC, ...) metadata.
namespace | MPC
| An implementation of MPC metadata.
namespace | MPEG
| An implementation of TagLib::File with MPEG (MP3) specific methods.
namespace | RIFF
| An implementation of TagLib::File with RIFF specific methods.
namespace | S3M
| An implementation of ScreamTracker III metadata.
namespace | Shorten
| An implementation of Shorten metadata.
namespace | TrueAudio
| An implementation of TrueAudio metadata.
namespace | WavPack
| An implementation of WavPack metadata.
namespace | XM
| An implementation of Extended Module metadata.

## Classes

class | AudioProperties
| A simple, abstract interface to common audio properties. More...
class | FileRef
| This class provides a simple abstraction for creating and handling files. More...
class | Tag
| A simple, generic interface to common audio metadata fields. More...
class | ByteVector
| A byte vector. More...
class | ByteVectorList
| A list of ByteVectors. More...
class | ByteVectorStream
| In-memory Stream class using ByteVector for its storage. More...
class | DebugListener
| An abstraction for the listener to the debug messages. More...
class | File
| A file class with some useful methods for tag manipulation. More...
class | FileStream
| I/O stream with data from a file. More...
class | IOStream
| An abstract class that provides operations on a sequence of bytes. More...
class | List
| A generic, implicitly shared list. More...
class | Map
| A generic, implicitly shared map. More...
class | PropertyMap
| A map for format-independent <key,values> tag representations. More...
class | String
| A wide string class suitable for unicode. More...
class | StringList
| A list of strings. More...
class | Variant
| An implicitly shared discriminated union. More...
class | VersionNumber
| Version number with major, minor and patch segments. More...

## Typedefs

using | offset_t = off_t
using | FileName = const char *
using | SimplePropertyMap = Map<String, StringList>
using | VariantList = TagLib::List<TagLib::Variant>
using | VariantMap = TagLib::Map<TagLib::String, TagLib::Variant>

## Functions

TAGLIB_EXPORT void | setDebugListener (DebugListener *listener)
TAGLIB_EXPORT std::ostream & | operator<< (std::ostream &s, const TagLib::ByteVector &v)
std::ostream TAGLIB_EXPORT & | operator<< (std::ostream &s, const TagLib::ByteVectorList &l)
TAGLIB_EXPORT TagLib::String | operator+ (const TagLib::String &s1, const TagLib::String &s2)
TAGLIB_EXPORT TagLib::String | operator+ (const char *s1, const TagLib::String &s2)
TAGLIB_EXPORT TagLib::String | operator+ (const TagLib::String &s1, const char *s2)
TAGLIB_EXPORT std::ostream & | operator<< (std::ostream &s, const TagLib::String &str)
std::ostream TAGLIB_EXPORT & | operator<< (std::ostream &s, const TagLib::StringList &l)
TAGLIB_EXPORT std::ostream & | operator<< (std::ostream &s, const TagLib::Variant &v)
TAGLIB_EXPORT VersionNumber | runtimeVersion ()

## Detailed Description

A namespace for all TagLib related classes and functions.

This namespace contains everything in TagLib. For projects working with TagLib extensively it may be convenient to add a

using namespace TagLib;
TagLib
A namespace for all TagLib related classes and functions.
Definition apefile.h:41

## Typedef Documentation

## FileName

using TagLib::FileName = const char *

## offset_t

using TagLib::offset_t = off_t

## SimplePropertyMap

using TagLib::SimplePropertyMap = Map<String, StringList>

## VariantList

using TagLib::VariantList = TagLib::List<TagLib::Variant>

A list of Variant elements.

## VariantMap

using TagLib::VariantMap = TagLib::Map<TagLib::String, TagLib::Variant>

A map with String keys and Variant values.

## Function Documentation

## setDebugListener()

TAGLIB_EXPORT void TagLib::setDebugListener | ( | DebugListener * | listener | ) |

Sets the listener that decides how the debug messages are redirected. If the parameter listener is null, the previous listener is released and the default stderr listener is restored.

Note
  The caller is responsible for deleting the previous listener as needed after it is released.

See also
  DebugListener

References TAGLIB_EXPORT.